# farmr

A web dashboard that allows you to monitor your Chia farm and sends notifications when blocks are found and new plots are completed through a discord bot. It can link multiple farmers/harvesters to your account.

![image](https://user-images.githubusercontent.com/82336674/121625370-41d93f00-ca6b-11eb-9152-03cabc89a1b6.png)

The farmr client collects local stats about your farm and it is available for Windows, Linux and macOS [here](https://github.com/joaquimguimaraes/farmr/releases/latest). 
The dashboard can be found in [farmr.net](https://farmr.net). Alternatively, you can interact with the bot in [Swar's Chia Community](https://discord.gg/q5T4QbwcnH) discord server. You must be in this server to receive notifications.

#### Contents
- Installation (choose your platform below)
  - [Windows](./docs/installation-windows.md)
  - [Ubuntu](./docs/installation-ubuntu.md) (and Debian based distros)
  - [Ubuntu for Raspberry Pi](./docs/installation-ubuntupi.md) (and Debian based distros)
  - [Fedora](./docs/installation-fedora.md) (and OpenSuse, RHEL, etc.)
  - [Other Linux distributions](./docs/installation-linux.md)
  - [macOS](./docs/installation-macOS.md)
  - [Compile from source](./docs/installation-source.md)
- [First Time](./docs/usage.md#First-time)
- [Usage](./docs/usage.md#Usage)
- [Configuration](./docs/configuration.md)
- [Forks](./docs/forks.md) (flax, chaingreen, etc.)
- [Updating](#updating)
- [Discord Commands](./docs/commands.md)
- [FAQ](./docs/faq.md)
- [Donate](#donate)

---

## Updating
To update, repeat [Installation](#contents) instructions again with the [latest release](https://github.com/joaquimguimaraes/farmr/releases/latest).

## Donate
@joaquimguimaraes wallet addresses:
```
XCH: xch1z9wes90p356aqn9svvmr7du8yrr03payla02nkfpmfrtpeh23s4qmhx9q9
XFX: xfx1z9wes90p356aqn9svvmr7du8yrr03payla02nkfpmfrtpeh23s4qz5ppr8
ETH: 0x340281CbAd30702aF6dCA467e4f2524916bb9D61
LTC: LWPkaD4P7bKpU28RTV4sP41jnrQ3NMDs5y
ADA: addr1q8uw5jh3q0eujj6gqngrdgvr7r6gvqj5qv6tsp77d6usgcv6jehyxjelvffwv53r0avad874vk6snsq3tmmj7z27w73s9kxdkv
USDC (ERC20/BEP20): 0x340281cbad30702af6dca467e4f2524916bb9d61
USDT (ERC20/BEP20): 0x340281cbad30702af6dca467e4f2524916bb9d61
USDT (TRC20): TFddaDuxHUFvtuhLtwodQmNB4ZjJRc4P8k
BNB: 0x340281cbad30702af6dca467e4f2524916bb9d61
BTC: 1Gdzsx6VjZrDxP43y1pgkNMZGsyL357odS
BTC (BEP20): 0x340281cbad30702af6dca467e4f2524916bb9d61
```

## Acknowledgements
Dashboard's structure based on the work by Abu Anwar MD Abdullah [@abuanwar072/Flutter-Responsive-Admin-Panel-or-Dashboard](https://github.com/abuanwar072/Flutter-Responsive-Admin-Panel-or-Dashboard), licensed under MIT license.

[Poppins font](https://fonts.google.com/specimen/Poppins#standard-styles) designed by Indian Type Foundry, Jonny Pinhorn, licensed under Open Font License.

Icons by Google and [Material Design Icons](https://materialdesignicons.com/)


This project is not affiliated with [Chia Network™](https://www.chia.net/).
